using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.SSOManager.repository;

namespace e_suite.Modules.SSOManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<SsoManagerRepository>().As<ISsoManagerRepository>().InstancePerLifetimeScope();

        builder.RegisterType<SsoManager>().As<ISsoManager>().InstancePerLifetimeScope();
    }
}